com.holonplatform.vaadin.components

## Interface Components.listing

- Enclosing interface:
    Components

      public static interface Components.listing

  `ItemListing` builders provider.

- - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> ItemListingBuilder.GridItemListingBuilder<T>` | `items(Class<T> itemType)` Builder to create an `ItemListing` instance using a `Grid` as backing component.
    `static <T> ItemListingBuilder.TableItemListingBuilder<T>` | `itemsUsingTable(Class<T> itemType)` Builder to create an `ItemListing` instance using a `Table` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `properties(Iterable<P> properties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder` | `properties(P... properties)` Builder to create an `PropertyListing` instance using a `Grid` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder` | `propertiesUsingTable(Iterable<P> properties)` Builder to create an `PropertyListing` instance using a `Table` as backing component.
    `static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder` | `propertiesUsingTable(P... properties)` Builder to create an `PropertyListing` instance using a `Table` as backing component.

- - ### Method Detail

    - #### items

          static <T> ItemListingBuilder.GridItemListingBuilder<T> items(Class<T> itemType)

      Builder to create an `ItemListing` instance using a `Grid` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Grid `ItemListing` builder

    - #### properties

          @SafeVarargs
          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder properties(P... properties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Grid `PropertyListing` builder

    - #### properties

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.GridPropertyListingBuilder properties(Iterable<P> properties)

      Builder to create an `PropertyListing` instance using a `Grid` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Grid `PropertyListing` builder

    - #### itemsUsingTable

          static <T> ItemListingBuilder.TableItemListingBuilder<T> itemsUsingTable(Class<T> itemType)

      Builder to create an `ItemListing` instance using a `Table` as backing component.
      Type Parameters:
        `T` - Item data type
      Parameters:
        `itemType` - Item bean type
      Returns:
        Table `ItemListing` builder

    - #### propertiesUsingTable

          @SafeVarargs
          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder propertiesUsingTable(P... properties)

      Builder to create an `PropertyListing` instance using a `Table` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Table `PropertyListing` builder

    - #### propertiesUsingTable

          static <P extends com.holonplatform.core.property.Property<?>> PropertyListingBuilder.TablePropertyListingBuilder propertiesUsingTable(Iterable<P> properties)

      Builder to create an `PropertyListing` instance using a `Table` as backing component.
      Type Parameters:
        `P` - Actual property type
      Parameters:
        `properties` - The property set to use for the listing
      Returns:
        Table `PropertyListing` builder

Copyright © 2017 The Holon Platform. All rights reserved.